> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/labor/labor-punches > Retrieves a list of labor punches ## OpenAPI ````json GET /public/v1/labor/labor-punches { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/labor/labor-punches": { "get": { "tags": [ "timeandattendance" ], "description": "Retrieves a list of labor punches", "parameters": [ { "name": "dateOfBusinessStart", "in": "query", "description": "", "schema": { "type": "string", "format": "date" } }, { "name": "dateOfBusinessEnd", "in": "query", "description": "", "schema": { "type": "string", "format": "date" } }, { "name": "modifiedOnStart", "in": "query", "description": "", "schema": { "type": "string", "format": "date-time" } }, { "name": "modifiedOnEnd", "in": "query", "description": "", "schema": { "type": "string", "format": "date-time" } }, { "name": "locations", "in": "query", "description": "", "schema": { "type": "array", "items": { "type": "string", "format": "uuid" } } }, { "name": "legalEntities", "in": "query", "description": "", "schema": { "type": "array", "items": { "type": "string", "format": "uuid" } } }, { "name": "pageSize", "in": "query", "description": "", "schema": { "type": "integer", "format": "int32" } }, { "name": "continuationToken", "in": "query", "description": "", "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.Response" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.Response" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.Response" } } } }, "401": { "description": "Unauthorized - authentication credentials are missing or invalid." }, "403": { "description": "Forbidden - the caller does not have the required scope or tenant access." }, "422": { "description": "Unprocessable Content", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Models.R365Error" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Models.R365Error" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Models.R365Error" } } } }, "500": { "description": "Internal Server Error - an unexpected error occurred while processing the request." } } } } }, "components": { "schemas": { "R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.Response": { "type": "object", "properties": { "data": { "type": "array", "items": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.LaborPunch" }, "nullable": true }, "nextLink": { "type": "string", "nullable": true, "description": "URL to retrieve the next page of results, or null when this is the last page." } } }, "R365.TimeAndAttendance.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Models.R365Error" } } }, "R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.LaborPunch": { "type": "object", "properties": { "laborId": { "type": "string", "format": "uuid" }, "dateWorked": { "type": "string", "format": "date" }, "startTime": { "type": "string", "format": "date-time", "nullable": true }, "endTime": { "type": "string", "format": "date-time", "nullable": true }, "hours": { "type": "number", "format": "double", "nullable": true }, "payRate": { "type": "number", "format": "double", "nullable": true }, "total": { "type": "number", "format": "double", "nullable": true }, "tipDeclaredAmount": { "type": "number", "format": "double", "nullable": true }, "employee": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.EmployeeRef" }, "job": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.JobRef" }, "location": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Contracts.LaborPunches.Models.EntityReference" }, "createdOn": { "type": "string", "format": "date-time", "nullable": true, "description": "Timestamp when the labor punch was created." }, "createdBy": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.UserRef", "description": "User who created the labor punch." }, "modifiedOn": { "type": "string", "format": "date-time", "nullable": true, "description": "Timestamp when the labor punch was last modified." }, "modifiedBy": { "$ref": "#/components/schemas/R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.UserRef", "description": "User who last modified the labor punch." } } }, "R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.EmployeeRef": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the employee ref." }, "name": { "type": "string", "nullable": true, "description": "Display name of the employee ref." }, "payrollId": { "type": "string", "nullable": true } } }, "R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.JobRef": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the job ref." }, "name": { "type": "string", "nullable": true, "description": "Display name of the job ref." }, "code": { "type": "string", "nullable": true }, "department": { "type": "string", "nullable": true } } }, "R365.TimeAndAttendance.Contracts.LaborPunches.Models.EntityReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the entity." }, "name": { "type": "string", "nullable": true, "description": "Display name of the entity." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the entity." } } }, "R365.TimeAndAttendance.Public.Contracts.LaborPunches.Models.UserRef": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the user ref." }, "name": { "type": "string", "nullable": true, "description": "Display name of the user ref." } } } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````